Package org.eclipse.microprofile.metrics

## Enum MetricRegistry.Type

- java.lang.Object
- - java.lang.Enum<MetricRegistry.Type>
  - - org.eclipse.microprofile.metrics.MetricRegistry.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<MetricRegistry.Type>`

Enclosing interface:
  MetricRegistry

    @Deprecated
    public static enum MetricRegistry.Type
    extends Enum<MetricRegistry.Type>

Deprecated.
As of release 5.0, please use `MetricRegistry.APPLICATION_SCOPE`, `MetricRegistry.BASE_SCOPE` or `MetricRegistry.VENDOR_SCOPE` with `RegistryScope` instead.
An enumeration representing the provided scopes of the MetricRegistry.

### Enum Constant Summary

Enum Constants
`APPLICATION` Deprecated. As of release 5.0, please use `MetricRegistry.APPLICATION_SCOPE` with `RegistryScope` instead.
`BASE` Deprecated. As of release 5.0, please use `MetricRegistry.BASE_SCOPE` with `RegistryScope` instead.
`VENDOR` Deprecated. As of release 5.0, please use `MetricRegistry.VENDOR_SCOPE` with `RegistryScope` instead.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getName()` Deprecated. Returns the name of the MetricRegistry scope.
`static MetricRegistry.Type` `valueOf​(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static MetricRegistry.Type[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### APPLICATION

    @Deprecated
    public static final MetricRegistry.Type APPLICATION

Deprecated.
As of release 5.0, please use `MetricRegistry.APPLICATION_SCOPE` with `RegistryScope` instead.
The Application (default) scoped MetricRegistry. Any metric registered/accessed via CDI will use this MetricRegistry.

#### BASE

    @Deprecated
    public static final MetricRegistry.Type BASE

Deprecated.
As of release 5.0, please use `MetricRegistry.BASE_SCOPE` with `RegistryScope` instead.
The Base scoped MetricRegistry. This MetricRegistry will contain required metrics specified in the MicroProfile Metrics specification.

#### VENDOR

    @Deprecated
    public static final MetricRegistry.Type VENDOR

Deprecated.
As of release 5.0, please use `MetricRegistry.VENDOR_SCOPE` with `RegistryScope` instead.
The Vendor scoped MetricRegistry. This MetricRegistry will contain vendor provided metrics which may vary between different vendors.

### Method Detail

#### values

    public static MetricRegistry.Type[] values()

Deprecated.
Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetricRegistry.Type c : MetricRegistry.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetricRegistry.Type valueOf​(String name)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Deprecated.
Returns the name of the MetricRegistry scope.

Returns:
  the scope